@echo off

rem $Id: j2x_main.cmd 346 2013-10-04 13:29:16Z jdbc2xml $
rem License: Apache License, Version 2.0

set DUMMY=Dummy
rem if not !DUMMY!==Dummy cmd.exe /e:on /v:on /c %0 %*
if not !DUMMY!==Dummy echo FATAL: Please use the wrapper scripts!
if not !DUMMY!==Dummy goto eof

set COMMAND=%1
if ""=="!COMMAND!" set COMMAND="--help"

set JDBC2XML_BIN=%~dp0

set LOG4JPROPS=!JDBC2XML_BIN!\..\conf\log4j.properties

cd !JDBC2XML_BIN!\..\lib
set CLASSPATH=.
for %%J in (*.jar) do set CLASSPATH=!CLASSPATH!;%%J

set DEBUG=0
for %%P in (%*) do (
  if "%%P"=="--debug-startup" set DEBUG=1
  if "%%P"=="--debug"   set LOG4JPROPS=!JDBC2XML_BIN!\..\conf\log4j_debug.properties
  if "%%P"=="--quiet"   set LOG4JPROPS=!JDBC2XML_BIN!\..\conf\log4j_quiet.properties
  if "%%P"=="--verbose" set LOG4JPROPS=!JDBC2XML_BIN!\..\conf\log4j_verbose.properties
)  

set JAVACMD=java
if exist !JAVA_HOME!\bin\java set JAVACMD=!JAVA_HOME!\bin\java

if "!DEBUG!"=="1" echo !JAVACMD! "-Dlog4j.configuration=file:!LOG4JPROPS!" -cp !CLASSPATH! org.clazzes.jdbc2xml.tools.Main %*
!JAVACMD! "-Dlog4j.configuration=file:!LOG4JPROPS!" -cp !CLASSPATH! org.clazzes.jdbc2xml.tools.Main %*

:eof
